Bug 1217134

Summary: eclipse-ecf does not build on ppc64/s390(x)
Product: [Fedora] Fedora Reporter: Than Ngo <than>
Component: eclipse-ecfAssignee: Mat Booth <mat.booth>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 22CC: akurtako, dhorak, eclipse-sig, krzysztof.daniel, mat.booth, rgrunber
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: cbi-plugins-1.1.2-3.fc22 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-08-18 05:17:31 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Than Ngo 2015-04-29 15:53:34 UTC
rpmbuild --rebuild eclipse-ecf-3.9.3-1.fc22.src.rpm has failed on ppc64/s390(x)
looking at the build.log, the genericTargets.xml is searched in nonexistent directory 

customTargets.xml:19: The following error occurred while executing this line:
java.io.FileNotFoundException: /usr/lib64/eclipse/dropins/sdk/plugins/org.eclipse.pde.build_3.9.0.v20150120-1031/scripts/${eclipse.pdebuild.scripts}/genericTargets.xml (No such file or directory)


build.log
---------
BUILD FAILED
/usr/lib64/eclipse/dropins/sdk/plugins/org.eclipse.pde.build_3.9.0.v20150120-1031/scripts/build.xml:35: The following error occurred while executing this line:
/usr/lib64/eclipse/dropins/sdk/plugins/org.eclipse.pde.build_3.9.0.v20150120-1031/scripts/build.xml:91: The following error occurred while executing this line:
/usr/lib64/eclipse/dropins/sdk/plugins/org.eclipse.pde.build_3.9.0.v20150120-1031/templates/package-build/customTargets.xml:19: The following error occurred while executing this line:
java.io.FileNotFoundException: /usr/lib64/eclipse/dropins/sdk/plugins/org.eclipse.pde.build_3.9.0.v20150120-1031/scripts/${eclipse.pdebuild.scripts}/genericTargets.xml (No such file or directory)
        at java.io.FileInputStream.open0(Native Method)
        at java.io.FileInputStream.open(FileInputStream.java:195)
        at java.io.FileInputStream.<init>(FileInputStream.java:138)
        at org.apache.tools.ant.helper.ProjectHelper2.parse(ProjectHelper2.java:250)
        at org.apache.tools.ant.helper.ProjectHelper2.parse(ProjectHelper2.java:178)
        at org.apache.tools.ant.ProjectHelper.configureProject(ProjectHelper.java:93)
        at org.apache.tools.ant.taskdefs.Ant.execute(Ant.java:392)
        at org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:292)
        at sun.reflect.GeneratedMethodAccessor5.invoke(Unknown Source)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:497)
        at org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:106)
        at org.apache.tools.ant.Task.perform(Task.java:348)
        at org.apache.tools.ant.Target.execute(Target.java:435)
        at org.apache.tools.ant.Target.performTasks(Target.java:456)
        at org.apache.tools.ant.Project.executeSortedTargets(Project.java:1393)
        at org.apache.tools.ant.helper.SingleCheckExecutor.executeTargets(SingleCheckExecutor.java:38)
        at org.eclipse.ant.internal.core.ant.EclipseSingleCheckExecutor.executeTargets(EclipseSingleCheckExecutor.java:34)
        at org.apache.tools.ant.Project.executeTargets(Project.java:1248)
        at org.apache.tools.ant.taskdefs.Ant.execute(Ant.java:441)
        at org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:292)
        at sun.reflect.GeneratedMethodAccessor5.invoke(Unknown Source)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:497)
        at org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:106)
        at org.apache.tools.ant.Task.perform(Task.java:348)
        at org.apache.tools.ant.Target.execute(Target.java:435)
        at org.apache.tools.ant.Target.performTasks(Target.java:456)
        at org.apache.tools.ant.Project.executeSortedTargets(Project.java:1393)
        at org.apache.tools.ant.helper.SingleCheckExecutor.executeTargets(SingleCheckExecutor.java:38)
        at org.eclipse.ant.internal.core.ant.EclipseSingleCheckExecutor.executeTargets(EclipseSingleCheckExecutor.java:34)
        at org.apache.tools.ant.Project.executeTargets(Project.java:1248)
        at org.apache.tools.ant.taskdefs.Ant.execute(Ant.java:441)
        at org.apache.tools.ant.taskdefs.CallTarget.execute(CallTarget.java:105)
        at org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:292)
        at sun.reflect.GeneratedMethodAccessor5.invoke(Unknown Source)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:497)
        at org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:106)
        at org.apache.tools.ant.Task.perform(Task.java:348)
        at org.apache.tools.ant.Target.execute(Target.java:435)
        at org.apache.tools.ant.Target.performTasks(Target.java:456)
        at org.apache.tools.ant.Project.executeSortedTargets(Project.java:1393)
        at org.apache.tools.ant.Project.executeTarget(Project.java:1364)
        at org.apache.tools.ant.helper.DefaultExecutor.executeTargets(DefaultExecutor.java:41)
        at org.eclipse.ant.internal.core.ant.EclipseDefaultExecutor.executeTargets(EclipseDefaultExecutor.java:36)
        at org.apache.tools.ant.Project.executeTargets(Project.java:1248)
        at org.eclipse.ant.internal.core.ant.InternalAntRunner.run(InternalAntRunner.java:703)
        at org.eclipse.ant.internal.core.ant.InternalAntRunner.run(InternalAntRunner.java:566)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:497)
        at org.eclipse.ant.core.AntRunner.run(AntRunner.java:511)
        at org.eclipse.ant.core.AntRunner.start(AntRunner.java:607)
        at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
        at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
        at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
        at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:382)
        at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:236)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:497)
        at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:648)
        at org.eclipse.equinox.launcher.Main.basicRun(Main.java:603)
        at org.eclipse.equinox.launcher.Main.run(Main.java:1465)
        at org.eclipse.equinox.launcher.Main.main(Main.java:1438)
        at org.eclipse.core.launcher.Main.main(Main.java:34)

Comment 1 Fedora Update System 2015-08-12 08:53:42 UTC
cbi-plugins-1.1.2-3.fc22, tycho-extras-0.23.0-2.fc22, tycho-0.23.0-5.fc22.2, eclipse-4.5.0-5.fc22, eclipse-ecf-3.10.0-5.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/FEDORA-2015-11679/eclipse-4.5.0-5.fc22,eclipse-ecf-3.10.0-5.fc22,cbi-plugins-1.1.2-3.fc22,tycho-extras-0.23.0-2.fc22,tycho-0.23.0-5.fc22.2

Comment 2 Fedora Update System 2015-08-13 16:56:04 UTC
Package cbi-plugins-1.1.2-3.fc22, tycho-extras-0.23.0-2.fc22, tycho-0.23.0-5.fc22.2, eclipse-4.5.0-5.fc22, eclipse-ecf-3.10.0-5.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cbi-plugins-1.1.2-3.fc22 tycho-extras-0.23.0-2.fc22 tycho-0.23.0-5.fc22.2 eclipse-4.5.0-5.fc22 eclipse-ecf-3.10.0-5.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-11679/eclipse-4.5.0-5.fc22,eclipse-ecf-3.10.0-5.fc22,cbi-plugins-1.1.2-3.fc22,tycho-extras-0.23.0-2.fc22,tycho-0.23.0-5.fc22.2
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2015-08-18 05:17:31 UTC
cbi-plugins-1.1.2-3.fc22, tycho-extras-0.23.0-2.fc22, tycho-0.23.0-5.fc22.2, eclipse-4.5.0-5.fc22, eclipse-ecf-3.10.0-5.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.